package es.uv.saic.dto;

import java.math.BigInteger;

public class EmailDTO {
    private String usuari;
    private BigInteger idInstanciaTasca;
    private String to;
    private String subject;
    private String message;

    public EmailDTO() {};

    public EmailDTO(String usuari, BigInteger idInstanciaTasca,String to, String subject, String message) {
        this.usuari = usuari;
        this.idInstanciaTasca = idInstanciaTasca;
        this.to = to;
        this.subject = subject;
        this.message = message;
    }

    public String getUsuari() {
        return this.usuari;
    }

    public void setUsuari(String usuari) {
        this.usuari = usuari;
    }

    public BigInteger getIdInstanciaTasca() {
        return this.idInstanciaTasca;
    }

    public void setIdInstanciaTasca(BigInteger idInstanciaTasca) {
        this.idInstanciaTasca = idInstanciaTasca;
    }

    public String getTo() {
        return to;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
